콘텐츠로 건너뛰기

Ovi Text to Video

통합

모델 id ovi
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ovi?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.20 200 API 크레딧 이 페이지에서 실행

API 키 받기

오디오 트랙과 함께 비디오를 생성하는 텍스트-비디오 모델

Character.AI · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

동영상 생성을 안내하는 텍스트 지침입니다.

resolution 기본값 992x512

W:H 형식으로 표현한 출력 동영상 해상도입니다. 512x992, 992x512, 960x512, 512x960, 720x720 또는 448x1120 중에서 선택합니다.

고급 negative_prompt · audio_negative_prompt · num_inference_steps · seed · enable_safety_checker
기본값 jitter, bad hands, bl...

동영상 생성에 적용되는 네거티브 프롬프트입니다.

기본값 robotic, muffled, ech...

생성된 오디오에서 피할 대상을 지정하는 네거티브 프롬프트입니다.

기본값 30

추론에 사용되는 단계 수입니다.

생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.

POST /run/ovi?wait=20 견적 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ovi?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Ovi Text to Video 정보

텍스트 `prompt`에서 음성이 포함된 클립을 생성합니다. 992x512, 512x992, 720x720 및 1120x448을 포함한 7개의 `resolution` 값 중에서 선택합니다. 비디오와 오디오에 별도의 네거티브 프롬프트(`negative_prompt`, `audio_negative_prompt`)가 있습니다. `num_inference_steps`는 1부터 50까지이며 기본값은 30이고, `seed`로 반복 가능한 결과를 얻을 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
동영상 생성을 안내하는 텍스트 지침입니다.
negative_prompt선택 사항
유형string
기본값jitter, bad hands, blur, distortion
동영상 생성에 적용되는 네거티브 프롬프트입니다.
num_inference_steps선택 사항
유형integer
기본값30
1 – 50
추론에 사용되는 단계 수입니다.
audio_negative_prompt선택 사항
유형string
기본값robotic, muffled, echo, distorted
생성된 오디오에서 피할 대상을 지정하는 네거티브 프롬프트입니다.
seed선택 사항
유형integer | null
생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.
resolution선택 사항
유형enum
기본값992x512
512x992992x512960x512512x960720x720448x11201120x448
W:H 형식으로 표현한 출력 동영상 해상도입니다. 512x992, 992x512, 960x512, 512x960, 720x720 또는 448x1120 중에서 선택합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ovi",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size} | null생성으로 만들어진 동영상 파일입니다.
seed
integer생성 중 적용되는 시드 값입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/ovi.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt